-- CB_REC_Power_Governors
-- Author: JNR
--------------------------------------------------------------

-- GovernorPromotions
--------------------------------------------------------------
UPDATE GovernorPromotions SET Description='LOC_GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY_DESCRIPTION_JNR_REC' WHERE GovernorPromotionType='GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,											SubjectRequirementSetId)
VALUES	('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_MERCHANT',		'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'CITY_HAS_GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_MERCHANT',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'CITY_HAS_GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_MERCHANT',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'CITY_HAS_GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_MERCHANT',	'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'CITY_HAS_GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_MERCHANT',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'CITY_HAS_GOVERNOR_PROMOTION_MERCHANT_RENEWABLE_ENERGY');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
UPDATE ModifierArguments SET Value=1 WHERE Name='Amount' AND ModifierId='MERCHANT_RENEWABLE_ENERGY_HYDROELECTRIC_DAM_FREE_POWER';
UPDATE ModifierArguments SET Value=1 WHERE Name='Amount' AND ModifierId='MERCHANT_RENEWABLE_ENERGY_SOLAR_FARM_GENERATE_POWER';
UPDATE ModifierArguments SET Value=1 WHERE Name='Amount' AND ModifierId='MERCHANT_RENEWABLE_ENERGY_WIND_FARM_GENERATE_POWER';
UPDATE ModifierArguments SET Value=1 WHERE Name='Amount' AND ModifierId='MERCHANT_RENEWABLE_ENERGY_OFFSHORE_WIND_FARM_GENERATE_POWER';
UPDATE ModifierArguments SET Value=1 WHERE Name='Amount' AND ModifierId='MERCHANT_RENEWABLE_ENERGY_GEOTHERMAL_GENERATE_POWER';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
VALUES	('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_MERCHANT',		'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_MERCHANT',		'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_MERCHANT',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_MERCHANT',			'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_MERCHANT',				'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_MERCHANT',				'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_MERCHANT',	'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_MERCHANT',	'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_MERCHANT',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_MERCHANT',			'Amount',		1);
--------------------------------------------------------------

-- BuildingModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO BuildingModifiers
		(BuildingType,					ModifierId)
VALUES	('BUILDING_HYDROELECTRIC_DAM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_MERCHANT');
--------------------------------------------------------------

-- ImprovementModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO ImprovementModifiers
		(ImprovementType,					ModifierId)
VALUES	('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_MERCHANT'),
		('IMPROVEMENT_WIND_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_MERCHANT'),
		('IMPROVEMENT_OFFSHORE_WIND_FARM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_MERCHANT'),
		('IMPROVEMENT_GEOTHERMAL_PLANT',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_MERCHANT');
--------------------------------------------------------------
