-- CB_REC_Power_Tech
-- Author: JNR
--------------------------------------------------------------

-- Technologies
--------------------------------------------------------------
UPDATE Technologies SET Description='LOC_TECH_OFFWORLD_MISSION_DESCRIPTION_JNR_REC'		WHERE TechnologyType='TECH_OFFWORLD_MISSION';
UPDATE Technologies SET Description='LOC_TECH_PREDICTIVE_SYSTEMS_DESCRIPTION_JNR_REC'	WHERE TechnologyType='TECH_PREDICTIVE_SYSTEMS';
UPDATE Technologies SET Description='LOC_TECH_COMPOSITES_DESCRIPTION_JNR_REC'			WHERE TechnologyType='TECH_COMPOSITES';
UPDATE Technologies SET Description='LOC_TECH_COMPUTERS_DESCRIPTION_JNR_REC'			WHERE TechnologyType='TECH_COMPUTERS';
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
VALUES	('REQUIRES_PLAYER_HAS_TECH_COMPUTERS_JNR',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_JNR',	'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_PLAYER_HAS_TECH_COMPOSITES_JNR',			'REQUIREMENT_PLAYER_HAS_TECHNOLOGY'),
		('REQUIRES_PLAYER_HAS_TECH_OFFWORLD_MISSION_JNR',	'REQUIREMENT_PLAYER_HAS_TECHNOLOGY');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,				Value)
VALUES	('REQUIRES_PLAYER_HAS_TECH_COMPUTERS_JNR',			'TechnologyType',	'TECH_COMPUTERS'),
		('REQUIRES_PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_JNR',	'TechnologyType',	'TECH_PREDICTIVE_SYSTEMS'),
		('REQUIRES_PLAYER_HAS_TECH_COMPOSITES_JNR',			'TechnologyType',	'TECH_COMPOSITES'),
		('REQUIRES_PLAYER_HAS_TECH_OFFWORLD_MISSION_JNR',	'TechnologyType',	'TECH_OFFWORLD_MISSION');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,										RequirementSetType)
VALUES	('PLAYER_HAS_TECH_COMPUTERS_REC_INACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_TECH_COMPUTERS_REC_ACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_INACTIVE_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_ACTIVE_JNR',	'REQUIREMENTSET_TEST_ALL'),

		('PLAYER_HAS_TECH_COMPOSITES_REC_INACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_TECH_COMPOSITES_REC_ACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_INACTIVE_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_ACTIVE_JNR',		'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,										RequirementId)
VALUES	('PLAYER_HAS_TECH_COMPUTERS_REC_INACTIVE_JNR',			'REQUIRES_PLAYER_HAS_TECH_COMPUTERS_JNR'),
		('PLAYER_HAS_TECH_COMPUTERS_REC_INACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLAYER_HAS_TECH_COMPUTERS_REC_ACTIVE_JNR',			'REQUIRES_PLAYER_HAS_TECH_COMPUTERS_JNR'),
		('PLAYER_HAS_TECH_COMPUTERS_REC_ACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR'),

		('PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_INACTIVE_JNR',	'REQUIRES_PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_JNR'),
		('PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_INACTIVE_JNR',	'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_ACTIVE_JNR',	'REQUIRES_PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_JNR'),
		('PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_ACTIVE_JNR',	'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR'),

		('PLAYER_HAS_TECH_COMPOSITES_REC_INACTIVE_JNR',			'REQUIRES_PLAYER_HAS_TECH_COMPOSITES_JNR'),
		('PLAYER_HAS_TECH_COMPOSITES_REC_INACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLAYER_HAS_TECH_COMPOSITES_REC_ACTIVE_JNR',			'REQUIRES_PLAYER_HAS_TECH_COMPOSITES_JNR'),
		('PLAYER_HAS_TECH_COMPOSITES_REC_ACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR'),

		('PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_INACTIVE_JNR',	'REQUIRES_PLAYER_HAS_TECH_OFFWORLD_MISSION_JNR'),
		('PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_INACTIVE_JNR',	'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_ACTIVE_JNR',		'REQUIRES_PLAYER_HAS_TECH_OFFWORLD_MISSION_JNR'),
		('PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_ACTIVE_JNR',		'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,											SubjectRequirementSetId)
VALUES	('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLAYER_HAS_TECH_COMPUTERS_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLAYER_HAS_TECH_COMPOSITES_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_INACTIVE_JNR'),

		('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_COLLECTION',	'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLAYER_HAS_TECH_COMPUTERS_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_COLLECTION',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COLLECTION',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLAYER_HAS_TECH_COMPOSITES_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_COLLECTION',	'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLAYER_HAS_TECH_PREDICTIVE_SYSTEMS_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_COLLECTION',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLAYER_HAS_TECH_OFFWORLD_MISSION_REC_ACTIVE_JNR');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,			Value)
VALUES	('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM',				'SourceType',	'FREE_POWER_SOURCE_WATER'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM',				'Amount',		3),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM',						'SourceType',	'FREE_POWER_SOURCE_SOLAR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM',						'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM',						'SourceType',	'FREE_POWER_SOURCE_WIND'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM',						'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM',				'SourceType',	'FREE_POWER_SOURCE_WIND'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM',				'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL',						'SourceType',	'FREE_POWER_SOURCE_GEOTHERMAL'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL',						'Amount',		1),

		('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_COLLECTION',	'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_COLLECTION',	'Amount',		3),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_COLLECTION',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_COLLECTION',			'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COLLECTION',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COLLECTION',			'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_COLLECTION',	'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_COLLECTION',	'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_COLLECTION',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_COLLECTION',			'Amount',		1);
--------------------------------------------------------------

-- BuildingModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO BuildingModifiers
		(BuildingType,					ModifierId)
VALUES	('BUILDING_HYDROELECTRIC_DAM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM'),
		('BUILDING_HYDROELECTRIC_DAM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_HYDROELECTRIC_DAM_COLLECTION');
--------------------------------------------------------------

-- ImprovementModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO ImprovementModifiers
		(ImprovementType,					ModifierId)
VALUES	('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM'),
		('IMPROVEMENT_WIND_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM'),
		('IMPROVEMENT_OFFSHORE_WIND_FARM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM'),
		('IMPROVEMENT_GEOTHERMAL_PLANT',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL'),

		('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_COLLECTION'),
		('IMPROVEMENT_WIND_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COLLECTION'),
		('IMPROVEMENT_OFFSHORE_WIND_FARM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_COLLECTION'),
		('IMPROVEMENT_GEOTHERMAL_PLANT',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_COLLECTION');
--------------------------------------------------------------