-- CB_REC_Power_Terrain
-- Author: JNR
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,						RequirementType)
VALUES	('REQUIRES_PLOT_HAS_FISSURE_JNR',	'REQUIREMENT_PLOT_FEATURE_TYPE_MATCHES'),
		('PLOT_IS_COASTAL_LAND',			'REQUIREMENT_PLOT_IS_COASTAL_LAND'),
--		REQUIRES_TERRAIN_OCEAN
		('REQUIRES_PLOT_HAS_GRASS_JNR',		'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES'),
		('REQUIRES_PLOT_HAS_PLAINS_JNR',	'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES');
--		REQUIRES_PLOT_HAS_DESERT
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,						Name,			Value)
VALUES	('REQUIRES_PLOT_HAS_FISSURE_JNR',	'FeatureType',	'FEATURE_GEOTHERMAL_FISSURE'),
		('REQUIRES_PLOT_HAS_GRASS_JNR',		'TerrainType',	'TERRAIN_GRASS'),
		('REQUIRES_PLOT_HAS_PLAINS_JNR',	'TerrainType',	'TERRAIN_PLAINS');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,						RequirementSetType)
VALUES	('PLOT_HAS_FISSURE_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLOT_IS_COASTAL_LAND_REQUIREMENTS',	'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_OCEAN_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_GRASS_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_PLAINS_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_DESERT_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ALL');

INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,							RequirementSetType)
VALUES	('PLOT_HAS_FISSURE_REC_INACTIVE_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_FISSURE_REC_ACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('PLOT_IS_COASTAL_LAND_REC_INACTIVE_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('PLOT_IS_COASTAL_LAND_REC_ACTIVE_JNR',		'REQUIREMENTSET_TEST_ALL'),

		('PLOT_HAS_OCEAN_REC_INACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_OCEAN_REC_ACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL'),

		('PLOT_HAS_DESERT_REC_INACTIVE_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('PLOT_HAS_DESERT_REC_ACTIVE_JNR',			'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,						RequirementId)
VALUES	('PLOT_HAS_FISSURE_REQUIREMENTS_JNR',	'REQUIRES_PLOT_HAS_FISSURE_JNR'),
		('PLOT_IS_COASTAL_LAND_REQUIREMENTS',	'PLOT_IS_COASTAL_LAND'),
		('PLOT_HAS_OCEAN_REQUIREMENTS_JNR',		'REQUIRES_TERRAIN_OCEAN'),
		('PLOT_HAS_GRASS_REQUIREMENTS_JNR',		'REQUIRES_PLOT_HAS_GRASS_JNR'),
		('PLOT_HAS_PLAINS_REQUIREMENTS_JNR',	'REQUIRES_PLOT_HAS_PLAINS_JNR'),
		('PLOT_HAS_DESERT_REQUIREMENTS_JNR',	'REQUIRES_PLOT_HAS_DESERT');

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,							RequirementId)
VALUES	('PLOT_HAS_FISSURE_REC_INACTIVE_JNR',		'REQUIRES_PLOT_HAS_FISSURE_JNR'),
		('PLOT_HAS_FISSURE_REC_INACTIVE_JNR',		'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLOT_HAS_FISSURE_REC_ACTIVE_JNR',			'REQUIRES_PLOT_HAS_FISSURE_JNR'),
		('PLOT_HAS_FISSURE_REC_ACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR'),

		('PLOT_IS_COASTAL_LAND_REC_INACTIVE_JNR',	'PLOT_IS_COASTAL_LAND'),
		('PLOT_IS_COASTAL_LAND_REC_INACTIVE_JNR',	'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLOT_IS_COASTAL_LAND_REC_ACTIVE_JNR',		'PLOT_IS_COASTAL_LAND'),
		('PLOT_IS_COASTAL_LAND_REC_ACTIVE_JNR',		'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR'),

		('PLOT_HAS_OCEAN_REC_INACTIVE_JNR',			'REQUIRES_TERRAIN_OCEAN'),
		('PLOT_HAS_OCEAN_REC_INACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLOT_HAS_OCEAN_REC_ACTIVE_JNR',			'REQUIRES_TERRAIN_OCEAN'),
		('PLOT_HAS_OCEAN_REC_ACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR'),

		('PLOT_HAS_DESERT_REC_INACTIVE_JNR',		'REQUIRES_PLOT_HAS_DESERT'),
		('PLOT_HAS_DESERT_REC_INACTIVE_JNR',		'REQUIRES_RENEWABLE_ENERGY_COLLECTION_INACTIVE_JNR'),
		('PLOT_HAS_DESERT_REC_ACTIVE_JNR',			'REQUIRES_PLOT_HAS_DESERT'),
		('PLOT_HAS_DESERT_REC_ACTIVE_JNR',			'REQUIRES_RENEWABLE_ENERGY_COLLECTION_ACTIVE_JNR');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,																ModifierType,											SubjectRequirementSetId)
VALUES	('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_HAS_FISSURE_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_IS_COASTAL_LAND_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_HAS_OCEAN_REC_INACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_GRASS_DEFAULT',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_HAS_GRASS_REQUIREMENTS_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_PLAINS_DEFAULT',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_HAS_PLAINS_REQUIREMENTS_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_DEFAULT',				'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_HAS_DESERT_REQUIREMENTS_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT',						'MODIFIER_SINGLE_CITY_ADJUST_FREE_POWER',				'PLOT_HAS_DESERT_REC_INACTIVE_JNR'),

		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE_COLLECTION',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLOT_HAS_FISSURE_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL_COLLECTION',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLOT_IS_COASTAL_LAND_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN_COLLECTION',	'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLOT_HAS_OCEAN_REC_ACTIVE_JNR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_COLLECTION',			'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION',	'PLOT_HAS_DESERT_REC_ACTIVE_JNR');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,																Name,			Value)
VALUES	('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE',						'SourceType',	'FREE_POWER_SOURCE_GEOTHERMAL'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE',						'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL',						'SourceType',	'FREE_POWER_SOURCE_WIND'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL',						'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN',				'SourceType',	'FREE_POWER_SOURCE_WIND'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN',				'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_GRASS_DEFAULT',				'SourceType',	'FREE_POWER_SOURCE_SOLAR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_GRASS_DEFAULT',				'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_PLAINS_DEFAULT',				'SourceType',	'FREE_POWER_SOURCE_SOLAR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_PLAINS_DEFAULT',				'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_DEFAULT',				'SourceType',	'FREE_POWER_SOURCE_SOLAR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_DEFAULT',				'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT',						'SourceType',	'FREE_POWER_SOURCE_SOLAR'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT',						'Amount',		1),

		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE_COLLECTION',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE_COLLECTION',			'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL_COLLECTION',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL_COLLECTION',			'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN_COLLECTION',	'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN_COLLECTION',	'Amount',		1),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_COLLECTION',			'ResourceType',	'RESOURCE_JNR_BATTERY_CHARGE'),
		('JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_COLLECTION',			'Amount',		1);
--------------------------------------------------------------

-- ImprovementModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO ImprovementModifiers
		(ImprovementType,					ModifierId)
VALUES	('IMPROVEMENT_GEOTHERMAL_PLANT',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE'),
		('IMPROVEMENT_WIND_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL'),
		('IMPROVEMENT_OFFSHORE_WIND_FARM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN'),
		('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_GRASS_DEFAULT'),
		('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_PLAINS_DEFAULT'),
		('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_DEFAULT'),
		('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT'),

		('IMPROVEMENT_GEOTHERMAL_PLANT',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_GEOTHERMAL_FISSURE_COLLECTION'),
		('IMPROVEMENT_WIND_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_WIND_FARM_COASTAL_COLLECTION'),
		('IMPROVEMENT_OFFSHORE_WIND_FARM',	'JNR_RENEWABLE_ENERGY_BONUS_POWER_OFFSHORE_WIND_FARM_OCEAN_COLLECTION'),
		('IMPROVEMENT_SOLAR_FARM',			'JNR_RENEWABLE_ENERGY_BONUS_POWER_SOLAR_FARM_DESERT_COLLECTION');
--------------------------------------------------------------
